Skip to main content
DELETE
/
components
/
v1
/
offer-design
/
{externalId}
curl -X DELETE \
  'https://api.appcharge.com/components/v1/offer-design/rolling-offer-design' \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'x-publisher-token: <x-publisher-token>'
{
  "id": "694a7c8e87f78fb36a931763",
  "offerUiType": "RollingOffer",
  "name": "Rolling Offer Design",
  "externalId": "rolling-offer-design",
  "backgroundImageUrl": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background.png",
  "backgroundColor": "#272727",
  "backgroundOpacity": 80,
  "headerImage": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/header.png",
  "arrowColor": "#ffffff",
  "borderColor": {
    "colorOne": "#ffffff",
    "colorTwo": "#ffffff",
    "direction": "to right"
  },
  "borderWidth": 2,
  "subRollingOffer": {
    "backgroundImageUrl": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background.png",
    "collectText": "FREE"
  }
}
curl -X DELETE \
  'https://api.appcharge.com/components/v1/offer-design/rolling-offer-design' \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'x-publisher-token: <x-publisher-token>'
{
  "id": "694a7c8e87f78fb36a931763",
  "offerUiType": "RollingOffer",
  "name": "Rolling Offer Design",
  "externalId": "rolling-offer-design",
  "backgroundImageUrl": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background.png",
  "backgroundColor": "#272727",
  "backgroundOpacity": 80,
  "headerImage": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/header.png",
  "arrowColor": "#ffffff",
  "borderColor": {
    "colorOne": "#ffffff",
    "colorTwo": "#ffffff",
    "direction": "to right"
  },
  "borderWidth": 2,
  "subRollingOffer": {
    "backgroundImageUrl": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background.png",
    "collectText": "FREE"
  }
}

Authorizations

x-publisher-token
string
header
required

Publisher token, as displayed in the Publisher Dashboard.

Path Parameters

externalId
string
required

Design ID that you defined.

Response

Rolling offer design deleted successfully.

id
string

Design ID

Example:

"694a7c8e87f78fb36a931763"

offerUiType
enum<string>

Type of offer design.

Available options:
RollingOffer
Example:

"RollingOffer"

name
string

Offer design name.

Example:

"Rolling Offer Design"

externalId
string

Design ID that you defined.

Example:

"rolling-offer-design"

backgroundImageUrl
string<url>

Background image URL for the offer design.

Example:

"https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background.png"

backgroundColor
string

Background color of the rolling offer.

Example:

"#272727"

backgroundOpacity
number

Background opacity value.

Example:

80

headerImage
string<url>

Header image URL for the rolling offer.

Example:

"https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/header.png"

arrowColor
string

Color of the arrow in the rolling offer.

Example:

"#ffffff"

borderColor
object

Color details returned by offer designs.

borderWidth
number

Width of the border in pixels.

Example:

2

subRollingOffer
object

Information about the sub rolling offer configuration.

backgroundExternalImageUrl
string<url>

Original background image URL for rolling offer backgrounds when an external image URL is used.

Example:

"https://cdn.example.com/assets/background.png"